import { Button } from 'react-bootstrap'
import { Link } from 'react-router-dom'
import { useAuth } from 'test608'

const MenuBar = () => {
  const { logout, isAuthenticated } = useAuth()

  return (
    <nav className='d-flex justify-content-center'>
      <div className='p-2'>
        <Link to='/'>Home</Link>
      </div>
      <div className='p-2'>
        <Link to='/products'>Products</Link>
      </div>
      <div className='p-2'>
        <Link to='/dashboard'>Dashboard</Link>
      </div>
      {isAuthenticated && (
        <div className='p-2' style={{ display: 'flex', marginLeft: 'auto' }}>
          <Button onClick={logout}>Logout</Button>
        </div>
      )}
    </nav>
  )
}
export default MenuBar
