import axios from 'axios'
import { generateServerUrl } from '../utils'
import { ServerEndpointType } from '../context/models'

type actionParams = {
  serverUrl: string
  clientID: string
}

export const getRefreshToken = ({ serverUrl, clientID }: actionParams) =>
  axios({
    method: 'post',
    url: generateServerUrl({
      serverUrl,
      serverEndpoint: ServerEndpointType.tokenRefresh,
    }),
    data: {
      clientId: clientID,
    },
  })

export const getUser = ({ serverUrl, clientID }: actionParams) =>
  axios({
    method: 'get',
    url: generateServerUrl({
      serverUrl,
      serverEndpoint: ServerEndpointType.me,
      queryParams: {
        client_id: clientID,
      },
    }),
  })
