import React from 'react'
import { LoginModal } from '../context/models'

const Modal = ({ setIsOpen, login, logout }: LoginModal) => {
  const handleClose = () => {
    setIsOpen(false)
    logout()
  }
  return (
    <>
      <div
        style={{
          backgroundColor: 'rgba(0,0,0,0.4)',
          zIndex: 100,
          width: '100%',
          height: '100%',
          position: 'fixed',
          top: 0,
          left: 0,
          overflow: 'auto',
          display: 'flex',
        }}
      >
        <div
          style={{
            backgroundColor: 'white',
            width: '300px',
            maxWidth: '640px',
            height: '150px',
            margin: 'auto',
            padding: '10px',
            border: '1px solid grey',
            borderRadius: '8px',
            position: 'relative',
            textAlign: 'center',
          }}
        >
          <button style={{ position: 'absolute', top: 10, right: 10 }} onClick={handleClose}>
            X
          </button>
          <div style={{ paddingTop: '20px' }}>
            <h5>Your session has expired. Please login again.</h5>
          </div>
          <button style={{ marginTop: '10px' }} onClick={login}>
            Login
          </button>
        </div>
      </div>
    </>
  )
}

export default Modal
